Summary:        Python bindings for libsodium based on ctypes
Name:           python-libnacl
Version:        2.1.0
Release:        1%{?dist}
License:        ASL 2.0
URL:            https://libnacl.readthedocs.org/
Source0:        %{pypi_source libnacl}

BuildArch:      noarch
BuildRequires:  libsodium-devel python3-devel python3dist(pytest)
Requires:       libsodium

%description
Python libnacl is used to gain direct access to the functions exposed by Daniel J. Bernstein's 
nacl library via libsodium. It has been constructed to maintain extensive documentation on how 
to use nacl as well as being completely portable.

%package -n python3-libnacl
Summary: %{summary}

%description -n python3-libnacl
Python libnacl is used to gain direct access to the functions exposed by Daniel J. Bernstein's 
nacl library via libsodium. It has been constructed to maintain extensive documentation on how 
to use nacl as well as being completely portable.

%prep
%autosetup -n libnacl-%{version}
%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files libnacl

%check
%{pytest}

%files -n python3-libnacl -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Mon Sep 25 2023 Wang Guodong <gordonwwang@tencent.com> - 2.1.0-1
- Upgrade to version 2.1.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jan 12 2023 Xin Cheng <denisecheng@tencent.com> - 1.8.0-1
- package init.
